<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="indexpage" kind="group">
    <compoundname>index</compoundname>
    <title>PSoC 6 Peripheral Driver Library</title>
    <detaileddescription>
<para><heading level="1">Overview</heading>
</para><para>The Cypress PDL integrates device header files, startup code, and peripheral drivers into a single package. The PDL supports the PSoC 6 device family. The drivers abstract the hardware functions into a set of easy-to-use APIs. These are fully documented in the PDL API Reference.</para><para>The PDL reduces the need to understand register usage and bit structures, thus easing software development for the extensive set of peripherals in the PSoC 6 series. You configure the driver for your application, and then use API calls to initialize and use the peripheral. This documentation provides technical information on each supported peripheral driver, including:</para><para><itemizedlist>
<listitem><para>Configuration considerations</para></listitem><listitem><para>Macros</para></listitem><listitem><para>Functions</para></listitem><listitem><para>Global variables</para></listitem><listitem><para>Data structures</para></listitem><listitem><para>Enumerated types</para></listitem></itemizedlist>
</para><para>The PDL conforms to the ANSI C99 standard.</para><para><heading level="1">Copyright</heading>
</para><para>Copyright 2016-2020 Cypress Semiconductor Corporation</para><para>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
  </compounddef>
</doxygen>